Funding

Get address book entry

GET/v1/blockchain-manager/address-book/{addressId}

Returns the details of a single address book entry of the authenticated user, identified by its UUID. Only entries in validating or verified state can be retrieved.

Authorization

ApiKeyAuth
X-Api-Key<token>

For accessing these endpoints a valid API key must be sent in the X-Api-Key header.

In: header

Path Parameters

addressId*string

UUID of the address book entry.

Match^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Formatuuid

Response Body

application/json

application/json

application/json

application/json

Get address book entry
curl --request GET \  --url 'https://gateway.bit2me.com/v1/blockchain-manager/address-book/550e8400-e29b-41d4-a716-446655440000'
{  "address": "bc1qxy2kgdygjrsqtzq2n0yrf2493p83kkfjhx0wlh",  "addressId": "550e8400-e29b-41d4-a716-446655440000",  "createdAt": "2026-06-01T10:30:00.000Z",  "currency": "BTC",  "exchangeName": "Binance",  "name": "John",  "network": "bitcoin",  "personType": "person",  "status": "verified",  "surname": "Doe",  "updatedAt": "2026-06-01T10:35:00.000Z",  "userId": "550e8400-e29b-41d4-a716-446655440099",  "walletOwnership": "other",  "walletType": "exchange"}